CNAME & SSL

CNAME

put

Updates the CNAME configuration for a CDN resource. This setting is available for small and large resource types.

Path parameters
organization_uuidstring · uuidRequired

UUID of the organization.

resource_uuidstring · uuidRequired

UUID of the CDN resource.

Body
resource_uuidstringRequired

UUID of the resource.

Example: ****-****-****-****
cnamestring[]Required

List of CNAME records associated with the resource.

Example: ["example.com","cdn.example.com"]
Responses
chevron-right
200

CNAME configuration updated successfully.

application/json
statusbooleanOptional

Indicates whether the update operation was successful.

Example: true
dataobjectOptional

Updated CDN resource details after applying the CNAME configuration.

Example: {"resource_uuid":"****-****-****-****","resource_name":"test.sm","cdn_url":"test.sm.mncdn.com","resource_type":"small","cname":["test.com"],"ssl_status":true,"ssl_type":"shared_ssl","status_http3_support":true,"http2":true,"origin_type":"mainstream","status_geo_blocking":false,"origin_response_timeout":30,"tls_version":["tlsv1.2","tlsv1.3"],"created_at":"2024-06-28T09:45:23.000000Z","updated_at":"2024-12-29T10:44:25.000000Z"}
put
/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

CNAME configuration updated successfully.

SSL & DNS Configuration

put

Updates SSL and DNS configuration for a specific CDN resource. This setting is available for small and large resource types.

Path parameters
organization_uuidstring · uuidRequired

UUID of the organization.

resource_uuidstring · uuidRequired

UUID of the CDN resource.

Body
or
or
Responses
chevron-right
200

SSL configuration updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

Example: true
dataobjectOptional

Details of the updated CDN resource.

Example: {"resource_uuid":"****-****-****-****","resource_name":"test.sm","cdn_url":"test.sm.mncdn.com","resource_type":"small","ssl_status":true,"ssl_type":"shared_ssl","dns_configuration":"GeoIP","status_http3_support":true,"http2":true,"tls_version":["tlsv1.2","tlsv1.3"],"origin_response_timeout":30,"status_geo_blocking":false,"created_at":"2025-08-06T11:39:51.000000Z","updated_at":"2025-08-07T10:40:46.000000Z"}
put
/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

SSL configuration updated successfully.

Last updated

Was this helpful?